/*
 * Copyright (C) 2025 Yidhra Studio. - All Rights Reserved
 * Updated : 25/04/2025 10:33
 *
 * Unauthorized copying or redistribution of this file in source and binary forms via any medium
 * is strictly prohibited.
 */

import { defineConfig } from 'drizzle-kit';
import * as process from "node:process";

export default defineConfig({
  schema: './src/database/schema/index.ts',
  out: './src/database/migrations',
  dialect: "postgresql",
  dbCredentials: {
    host: String(process.env.POSTGRES_HOST || "localhost"),
    port: Number(process.env.POSTGRES_PORT || 5432),
    database: String(process.env.POSTGRES_DB || "groupmaker"),
    user: String(process.env.POSTGRES_USER || "postgres"),
    password: String(process.env.POSTGRES_PASSWORD || "<PASSWORD>"),
    ssl: false,
  },
  verbose: true,
  strict: true,
});
